aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.DynamoDb.Commands.Table

Contents

- Commands
- Data passed in the commands

Synopsis

- data CreateTable = CreateTable {
  - createTableName :: Text
  - createAttributeDefinitions :: [AttributeDefinition]
  - createKeySchema :: KeySchema
  - createProvisionedThroughput :: ProvisionedThroughput
  - createLocalSecondaryIndexes :: [LocalSecondaryIndex]
  - createGlobalSecondaryIndexes :: [GlobalSecondaryIndex]
  }
- createTable :: Text -> [AttributeDefinition] -> KeySchema -> ProvisionedThroughput -> CreateTable
- newtype CreateTableResult = CreateTableResult {
  - ctStatus :: TableDescription
  }
- data DescribeTable = DescribeTable {
  - dTableName :: Text
  }
- newtype DescribeTableResult = DescribeTableResult {
  - dtStatus :: TableDescription
  }
- data UpdateTable = UpdateTable {
  - updateTableName :: Text
  - updateProvisionedThroughput :: ProvisionedThroughput
  - updateGlobalSecondaryIndexUpdates :: [GlobalSecondaryIndexUpdate]
  }
- newtype UpdateTableResult = UpdateTableResult {
  - uStatus :: TableDescription
  }
- data DeleteTable = DeleteTable {
  - deleteTableName :: Text
  }
- newtype DeleteTableResult = DeleteTableResult {
  - dStatus :: TableDescription
  }
- data ListTables = ListTables
- newtype ListTablesResult = ListTablesResult {
  - tableNames :: [Text]
  }
- data AttributeType
  - = AttrString
  - | AttrNumber
  - | AttrBinary
- data AttributeDefinition = AttributeDefinition {
  - attributeName :: Text
  - attributeType :: AttributeType
  }
- data KeySchema
  - = HashOnly Text
  - | HashAndRange Text Text
- data Projection
  - = ProjectKeysOnly
  - | ProjectAll
  - | ProjectInclude [Text]
- data LocalSecondaryIndex = LocalSecondaryIndex {
  - localIndexName :: Text
  - localKeySchema :: KeySchema
  - localProjection :: Projection
  }
- data LocalSecondaryIndexStatus = LocalSecondaryIndexStatus {
  - locStatusIndexName :: Text
  - locStatusIndexSizeBytes :: Integer
  - locStatusItemCount :: Integer
  - locStatusKeySchema :: KeySchema
  - locStatusProjection :: Projection
  }
- data ProvisionedThroughput = ProvisionedThroughput {
  - readCapacityUnits :: Int
  - writeCapacityUnits :: Int
  }
- data ProvisionedThroughputStatus = ProvisionedThroughputStatus {
  - statusLastDecreaseDateTime :: UTCTime
  - statusLastIncreaseDateTime :: UTCTime
  - statusNumberOfDecreasesToday :: Int
  - statusReadCapacityUnits :: Int
  - statusWriteCapacityUnits :: Int
  }
- data GlobalSecondaryIndex = GlobalSecondaryIndex {
  - globalIndexName :: Text
  - globalKeySchema :: KeySchema
  - globalProjection :: Projection
  - globalProvisionedThroughput :: ProvisionedThroughput
  }
- data GlobalSecondaryIndexStatus = GlobalSecondaryIndexStatus {
  - gStatusIndexName :: Text
  - gStatusIndexSizeBytes :: Integer
  - gStatusIndexStatus :: Text
  - gStatusItemCount :: Integer
  - gStatusKeySchema :: KeySchema
  - gStatusProjection :: Projection
  - gStatusProvisionedThroughput :: ProvisionedThroughputStatus
  }
- data GlobalSecondaryIndexUpdate = GlobalSecondaryIndexUpdate {
  - gUpdateIndexName :: Text
  - gUpdateProvisionedThroughput :: ProvisionedThroughput
  }
- data TableDescription = TableDescription {
  - rTableName :: Text
  - rTableSizeBytes :: Integer
  - rTableStatus :: Text
  - rCreationDateTime :: Maybe UTCTime
  - rItemCount :: Integer
  - rAttributeDefinitions :: [AttributeDefinition]
  - rKeySchema :: Maybe KeySchema
  - rProvisionedThroughput :: ProvisionedThroughputStatus
  - rLocalSecondaryIndexes :: [LocalSecondaryIndexStatus]
  - rGlobalSecondaryIndexes :: [GlobalSecondaryIndexStatus]
  }

# Commands

data CreateTable Source #

Constructors

CreateTable |

Fields

- createTableName :: Text
- createAttributeDefinitions :: [AttributeDefinition]

  only attributes appearing in a key must be listed here

- createKeySchema :: KeySchema
- createProvisionedThroughput :: ProvisionedThroughput
- createLocalSecondaryIndexes :: [LocalSecondaryIndex]

  at most 5 local secondary indices are allowed

- createGlobalSecondaryIndexes :: [GlobalSecondaryIndex]

#### Instances

Instances details

ToJSON CreateTable Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: CreateTable -> Value Source # toEncoding :: CreateTable -> Encoding Source # toJSONList :: [CreateTable] -> Value Source # toEncodingList :: [CreateTable] -> Encoding Source # omitField :: CreateTable -> Bool Source #
SignQuery CreateTable Source # | ServiceConfiguration: `DdbConfiguration`

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ServiceConfiguration CreateTable |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration CreateTable = DdbConfiguration

Methods

signQuery :: CreateTable -> ServiceConfiguration CreateTable queryType -> SignatureData -> SignedQuery Source #

Generic CreateTable Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep CreateTable |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep CreateTable = D1 ('MetaData "CreateTable" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "CreateTable" 'PrefixI 'True) ((S1 ('MetaSel ('Just "createTableName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: (S1 ('MetaSel ('Just "createAttributeDefinitions") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [AttributeDefinition]) :*: S1 ('MetaSel ('Just "createKeySchema") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 KeySchema))) :*: (S1 ('MetaSel ('Just "createProvisionedThroughput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ProvisionedThroughput) :*: (S1 ('MetaSel ('Just "createLocalSecondaryIndexes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [LocalSecondaryIndex]) :*: S1 ('MetaSel ('Just "createGlobalSecondaryIndexes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [GlobalSecondaryIndex])))))

Methods

from :: CreateTable -> Rep CreateTable x Source #

to :: Rep CreateTable x -> CreateTable Source #

Show CreateTable Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> CreateTable -> ShowS Source # show :: CreateTable -> String Source # showList :: [CreateTable] -> ShowS Source #
Transaction CreateTable CreateTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table
type ServiceConfiguration CreateTable Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration CreateTable = DdbConfiguration
type Rep CreateTable Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep CreateTable = D1 ('MetaData "CreateTable" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "CreateTable" 'PrefixI 'True) ((S1 ('MetaSel ('Just "createTableName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: (S1 ('MetaSel ('Just "createAttributeDefinitions") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [AttributeDefinition]) :*: S1 ('MetaSel ('Just "createKeySchema") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 KeySchema))) :*: (S1 ('MetaSel ('Just "createProvisionedThroughput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ProvisionedThroughput) :*: (S1 ('MetaSel ('Just "createLocalSecondaryIndexes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [LocalSecondaryIndex]) :*: S1 ('MetaSel ('Just "createGlobalSecondaryIndexes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [GlobalSecondaryIndex])))))

createTable Source #

Arguments

:: Text | Table name
-> [AttributeDefinition] |
-> KeySchema |
-> ProvisionedThroughput |
-> CreateTable |

newtype CreateTableResult Source #

Constructors

CreateTableResult |

Fields

- ctStatus :: TableDescription

#### Instances

Instances details

FromJSON CreateTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser CreateTableResult Source # parseJSONList :: Value -> Parser [CreateTableResult] Source # omittedField :: Maybe CreateTableResult Source #
AsMemoryResponse CreateTableResult Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type MemoryResponse CreateTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse CreateTableResult = TableDescription

Methods

loadToMemory :: CreateTableResult -> ResourceT IO (MemoryResponse CreateTableResult) Source #

Show CreateTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> CreateTableResult -> ShowS Source # show :: CreateTableResult -> String Source # showList :: [CreateTableResult] -> ShowS Source #
ResponseConsumer r CreateTableResult Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ResponseMetadata CreateTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata CreateTableResult = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata CreateTableResult) -> HTTPResponseConsumer CreateTableResult Source #

Transaction CreateTable CreateTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table
type MemoryResponse CreateTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse CreateTableResult = TableDescription
type ResponseMetadata CreateTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata CreateTableResult = DdbResponse

data DescribeTable Source #

Constructors

DescribeTable |

Fields

- dTableName :: Text

#### Instances

Instances details

ToJSON DescribeTable Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: DescribeTable -> Value Source # toEncoding :: DescribeTable -> Encoding Source # toJSONList :: [DescribeTable] -> Value Source # toEncodingList :: [DescribeTable] -> Encoding Source # omitField :: DescribeTable -> Bool Source #
SignQuery DescribeTable Source # | ServiceConfiguration: `DdbConfiguration`

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ServiceConfiguration DescribeTable |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration DescribeTable = DdbConfiguration

Methods

signQuery :: DescribeTable -> ServiceConfiguration DescribeTable queryType -> SignatureData -> SignedQuery Source #

Generic DescribeTable Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep DescribeTable |
Instance details Defined in Aws.DynamoDb.Commands.Table type Rep DescribeTable = D1 ('MetaData "DescribeTable" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "DescribeTable" 'PrefixI 'True) (S1 ('MetaSel ('Just "dTableName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text)))

Methods

from :: DescribeTable -> Rep DescribeTable x Source #

to :: Rep DescribeTable x -> DescribeTable Source #

Show DescribeTable Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> DescribeTable -> ShowS Source # show :: DescribeTable -> String Source # showList :: [DescribeTable] -> ShowS Source #
Transaction DescribeTable DescribeTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table
type ServiceConfiguration DescribeTable Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration DescribeTable = DdbConfiguration
type Rep DescribeTable Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type Rep DescribeTable = D1 ('MetaData "DescribeTable" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "DescribeTable" 'PrefixI 'True) (S1 ('MetaSel ('Just "dTableName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text)))

newtype DescribeTableResult Source #

Constructors

DescribeTableResult |

Fields

- dtStatus :: TableDescription

#### Instances

Instances details

FromJSON DescribeTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser DescribeTableResult Source # parseJSONList :: Value -> Parser [DescribeTableResult] Source # omittedField :: Maybe DescribeTableResult Source #
AsMemoryResponse DescribeTableResult Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type MemoryResponse DescribeTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse DescribeTableResult = TableDescription

Methods

loadToMemory :: DescribeTableResult -> ResourceT IO (MemoryResponse DescribeTableResult) Source #

Show DescribeTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> DescribeTableResult -> ShowS Source # show :: DescribeTableResult -> String Source # showList :: [DescribeTableResult] -> ShowS Source #
ResponseConsumer r DescribeTableResult Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ResponseMetadata DescribeTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata DescribeTableResult = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata DescribeTableResult) -> HTTPResponseConsumer DescribeTableResult Source #

Transaction DescribeTable DescribeTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table
type MemoryResponse DescribeTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse DescribeTableResult = TableDescription
type ResponseMetadata DescribeTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata DescribeTableResult = DdbResponse

data UpdateTable Source #

Constructors

UpdateTable |

Fields

- updateTableName :: Text
- updateProvisionedThroughput :: ProvisionedThroughput
- updateGlobalSecondaryIndexUpdates :: [GlobalSecondaryIndexUpdate]

#### Instances

Instances details

ToJSON UpdateTable Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: UpdateTable -> Value Source # toEncoding :: UpdateTable -> Encoding Source # toJSONList :: [UpdateTable] -> Value Source # toEncodingList :: [UpdateTable] -> Encoding Source # omitField :: UpdateTable -> Bool Source #
SignQuery UpdateTable Source # | ServiceConfiguration: `DdbConfiguration`

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ServiceConfiguration UpdateTable |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration UpdateTable = DdbConfiguration

Methods

signQuery :: UpdateTable -> ServiceConfiguration UpdateTable queryType -> SignatureData -> SignedQuery Source #

Generic UpdateTable Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep UpdateTable |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep UpdateTable = D1 ('MetaData "UpdateTable" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "UpdateTable" 'PrefixI 'True) (S1 ('MetaSel ('Just "updateTableName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: (S1 ('MetaSel ('Just "updateProvisionedThroughput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ProvisionedThroughput) :*: S1 ('MetaSel ('Just "updateGlobalSecondaryIndexUpdates") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [GlobalSecondaryIndexUpdate]))))

Methods

from :: UpdateTable -> Rep UpdateTable x Source #

to :: Rep UpdateTable x -> UpdateTable Source #

Show UpdateTable Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> UpdateTable -> ShowS Source # show :: UpdateTable -> String Source # showList :: [UpdateTable] -> ShowS Source #
Transaction UpdateTable UpdateTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table
type ServiceConfiguration UpdateTable Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration UpdateTable = DdbConfiguration
type Rep UpdateTable Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep UpdateTable = D1 ('MetaData "UpdateTable" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "UpdateTable" 'PrefixI 'True) (S1 ('MetaSel ('Just "updateTableName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: (S1 ('MetaSel ('Just "updateProvisionedThroughput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ProvisionedThroughput) :*: S1 ('MetaSel ('Just "updateGlobalSecondaryIndexUpdates") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [GlobalSecondaryIndexUpdate]))))

newtype UpdateTableResult Source #

Constructors

UpdateTableResult |

Fields

- uStatus :: TableDescription

#### Instances

Instances details

FromJSON UpdateTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser UpdateTableResult Source # parseJSONList :: Value -> Parser [UpdateTableResult] Source # omittedField :: Maybe UpdateTableResult Source #
AsMemoryResponse UpdateTableResult Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type MemoryResponse UpdateTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse UpdateTableResult = TableDescription

Methods

loadToMemory :: UpdateTableResult -> ResourceT IO (MemoryResponse UpdateTableResult) Source #

Show UpdateTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> UpdateTableResult -> ShowS Source # show :: UpdateTableResult -> String Source # showList :: [UpdateTableResult] -> ShowS Source #
ResponseConsumer r UpdateTableResult Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ResponseMetadata UpdateTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata UpdateTableResult = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata UpdateTableResult) -> HTTPResponseConsumer UpdateTableResult Source #

Transaction UpdateTable UpdateTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table
type MemoryResponse UpdateTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse UpdateTableResult = TableDescription
type ResponseMetadata UpdateTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata UpdateTableResult = DdbResponse

data DeleteTable Source #

Constructors

DeleteTable |

Fields

- deleteTableName :: Text

#### Instances

Instances details

ToJSON DeleteTable Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: DeleteTable -> Value Source # toEncoding :: DeleteTable -> Encoding Source # toJSONList :: [DeleteTable] -> Value Source # toEncodingList :: [DeleteTable] -> Encoding Source # omitField :: DeleteTable -> Bool Source #
SignQuery DeleteTable Source # | ServiceConfiguration: `DdbConfiguration`

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ServiceConfiguration DeleteTable |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration DeleteTable = DdbConfiguration

Methods

signQuery :: DeleteTable -> ServiceConfiguration DeleteTable queryType -> SignatureData -> SignedQuery Source #

Generic DeleteTable Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep DeleteTable |
Instance details Defined in Aws.DynamoDb.Commands.Table type Rep DeleteTable = D1 ('MetaData "DeleteTable" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "DeleteTable" 'PrefixI 'True) (S1 ('MetaSel ('Just "deleteTableName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text)))

Methods

from :: DeleteTable -> Rep DeleteTable x Source #

to :: Rep DeleteTable x -> DeleteTable Source #

Show DeleteTable Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> DeleteTable -> ShowS Source # show :: DeleteTable -> String Source # showList :: [DeleteTable] -> ShowS Source #
Transaction DeleteTable DeleteTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table
type ServiceConfiguration DeleteTable Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration DeleteTable = DdbConfiguration
type Rep DeleteTable Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type Rep DeleteTable = D1 ('MetaData "DeleteTable" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "DeleteTable" 'PrefixI 'True) (S1 ('MetaSel ('Just "deleteTableName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text)))

newtype DeleteTableResult Source #

Constructors

DeleteTableResult |

Fields

- dStatus :: TableDescription

#### Instances

Instances details

FromJSON DeleteTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser DeleteTableResult Source # parseJSONList :: Value -> Parser [DeleteTableResult] Source # omittedField :: Maybe DeleteTableResult Source #
AsMemoryResponse DeleteTableResult Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type MemoryResponse DeleteTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse DeleteTableResult = TableDescription

Methods

loadToMemory :: DeleteTableResult -> ResourceT IO (MemoryResponse DeleteTableResult) Source #

Show DeleteTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> DeleteTableResult -> ShowS Source # show :: DeleteTableResult -> String Source # showList :: [DeleteTableResult] -> ShowS Source #
ResponseConsumer r DeleteTableResult Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ResponseMetadata DeleteTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata DeleteTableResult = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata DeleteTableResult) -> HTTPResponseConsumer DeleteTableResult Source #

Transaction DeleteTable DeleteTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table
type MemoryResponse DeleteTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse DeleteTableResult = TableDescription
type ResponseMetadata DeleteTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata DeleteTableResult = DdbResponse

data ListTables Source #

TODO: currently this does not support restarting a cutoff query because of size.

Constructors

ListTables |

#### Instances

Instances details

ToJSON ListTables Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: ListTables -> Value Source # toEncoding :: ListTables -> Encoding Source # toJSONList :: [ListTables] -> Value Source # toEncodingList :: [ListTables] -> Encoding Source # omitField :: ListTables -> Bool Source #
SignQuery ListTables Source # | ServiceConfiguration: `DdbConfiguration`

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ServiceConfiguration ListTables |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration ListTables = DdbConfiguration

Methods

signQuery :: ListTables -> ServiceConfiguration ListTables queryType -> SignatureData -> SignedQuery Source #

Show ListTables Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> ListTables -> ShowS Source # show :: ListTables -> String Source # showList :: [ListTables] -> ShowS Source #
Transaction ListTables ListTablesResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table
type ServiceConfiguration ListTables Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration ListTables = DdbConfiguration

newtype ListTablesResult Source #

Constructors

ListTablesResult |

Fields

- tableNames :: [Text]

#### Instances

Instances details

FromJSON ListTablesResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser ListTablesResult Source # parseJSONList :: Value -> Parser [ListTablesResult] Source # omittedField :: Maybe ListTablesResult Source #
AsMemoryResponse ListTablesResult Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type MemoryResponse ListTablesResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse ListTablesResult = [Text]

Methods

loadToMemory :: ListTablesResult -> ResourceT IO (MemoryResponse ListTablesResult) Source #

Generic ListTablesResult Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep ListTablesResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type Rep ListTablesResult = D1 ('MetaData "ListTablesResult" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'True) (C1 ('MetaCons "ListTablesResult" 'PrefixI 'True) (S1 ('MetaSel ('Just "tableNames") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [Text])))

Methods

from :: ListTablesResult -> Rep ListTablesResult x Source #

to :: Rep ListTablesResult x -> ListTablesResult Source #

Show ListTablesResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> ListTablesResult -> ShowS Source # show :: ListTablesResult -> String Source # showList :: [ListTablesResult] -> ShowS Source #
ResponseConsumer r ListTablesResult Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type ResponseMetadata ListTablesResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata ListTablesResult = DdbResponse

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata ListTablesResult) -> HTTPResponseConsumer ListTablesResult Source #

Transaction ListTables ListTablesResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table
type MemoryResponse ListTablesResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse ListTablesResult = [Text]
type ResponseMetadata ListTablesResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata ListTablesResult = DdbResponse
type Rep ListTablesResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type Rep ListTablesResult = D1 ('MetaData "ListTablesResult" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'True) (C1 ('MetaCons "ListTablesResult" 'PrefixI 'True) (S1 ('MetaSel ('Just "tableNames") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [Text])))

# Data passed in the commands

data AttributeType Source #

The type of a key attribute that appears in the table key or as a key in one of the indices.

Constructors

AttrString |
AttrNumber |
AttrBinary |

#### Instances

Instances details

FromJSON AttributeType Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser AttributeType Source # parseJSONList :: Value -> Parser [AttributeType] Source # omittedField :: Maybe AttributeType Source #
ToJSON AttributeType Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: AttributeType -> Value Source # toEncoding :: AttributeType -> Encoding Source # toJSONList :: [AttributeType] -> Value Source # toEncodingList :: [AttributeType] -> Encoding Source # omitField :: AttributeType -> Bool Source #
Bounded AttributeType Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods minBound :: AttributeType Source # maxBound :: AttributeType Source #
Enum AttributeType Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Methods

succ :: AttributeType -> AttributeType Source #

pred :: AttributeType -> AttributeType Source #

toEnum :: Int -> AttributeType Source #

fromEnum :: AttributeType -> Int Source #

enumFrom :: AttributeType -> [AttributeType] Source #

enumFromThen :: AttributeType -> AttributeType -> [AttributeType] Source #

enumFromTo :: AttributeType -> AttributeType -> [AttributeType] Source #

enumFromThenTo :: AttributeType -> AttributeType -> AttributeType -> [AttributeType] Source #

Generic AttributeType Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep AttributeType |
Instance details Defined in Aws.DynamoDb.Commands.Table type Rep AttributeType = D1 ('MetaData "AttributeType" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "AttrString" 'PrefixI 'False) (U1 :: Type -> Type) :+: (C1 ('MetaCons "AttrNumber" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "AttrBinary" 'PrefixI 'False) (U1 :: Type -> Type)))

Methods

from :: AttributeType -> Rep AttributeType x Source #

to :: Rep AttributeType x -> AttributeType Source #

Read AttributeType Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods readsPrec :: Int -> ReadS AttributeType Source # readList :: ReadS [AttributeType] Source # readPrec :: ReadPrec AttributeType Source # readListPrec :: ReadPrec [AttributeType] Source #
Show AttributeType Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> AttributeType -> ShowS Source # show :: AttributeType -> String Source # showList :: [AttributeType] -> ShowS Source #
Eq AttributeType Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods (==) :: AttributeType -> AttributeType -> Bool Source # (/=) :: AttributeType -> AttributeType -> Bool Source #
Ord AttributeType Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Methods

compare :: AttributeType -> AttributeType -> Ordering Source #

(<) :: AttributeType -> AttributeType -> Bool Source #

(<=) :: AttributeType -> AttributeType -> Bool Source #

(>) :: AttributeType -> AttributeType -> Bool Source #

(>=) :: AttributeType -> AttributeType -> Bool Source #

max :: AttributeType -> AttributeType -> AttributeType Source #

min :: AttributeType -> AttributeType -> AttributeType Source #

type Rep AttributeType Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type Rep AttributeType = D1 ('MetaData "AttributeType" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "AttrString" 'PrefixI 'False) (U1 :: Type -> Type) :+: (C1 ('MetaCons "AttrNumber" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "AttrBinary" 'PrefixI 'False) (U1 :: Type -> Type)))

data AttributeDefinition Source #

A key attribute that appears in the table key or as a key in one of the indices.

Constructors

AttributeDefinition |

Fields

- attributeName :: Text
- attributeType :: AttributeType

#### Instances

Instances details

FromJSON AttributeDefinition Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser AttributeDefinition Source # parseJSONList :: Value -> Parser [AttributeDefinition] Source # omittedField :: Maybe AttributeDefinition Source #
ToJSON AttributeDefinition Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: AttributeDefinition -> Value Source # toEncoding :: AttributeDefinition -> Encoding Source # toJSONList :: [AttributeDefinition] -> Value Source # toEncodingList :: [AttributeDefinition] -> Encoding Source # omitField :: AttributeDefinition -> Bool Source #
Generic AttributeDefinition Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep AttributeDefinition |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep AttributeDefinition = D1 ('MetaData "AttributeDefinition" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "AttributeDefinition" 'PrefixI 'True) (S1 ('MetaSel ('Just "attributeName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Just "attributeType") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 AttributeType)))

Methods

from :: AttributeDefinition -> Rep AttributeDefinition x Source #

to :: Rep AttributeDefinition x -> AttributeDefinition Source #

Read AttributeDefinition Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods readsPrec :: Int -> ReadS AttributeDefinition Source # readList :: ReadS [AttributeDefinition] Source # readPrec :: ReadPrec AttributeDefinition Source # readListPrec :: ReadPrec [AttributeDefinition] Source #
Show AttributeDefinition Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> AttributeDefinition -> ShowS Source # show :: AttributeDefinition -> String Source # showList :: [AttributeDefinition] -> ShowS Source #
Eq AttributeDefinition Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods (==) :: AttributeDefinition -> AttributeDefinition -> Bool Source # (/=) :: AttributeDefinition -> AttributeDefinition -> Bool Source #
Ord AttributeDefinition Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Methods

compare :: AttributeDefinition -> AttributeDefinition -> Ordering Source #

(<) :: AttributeDefinition -> AttributeDefinition -> Bool Source #

(<=) :: AttributeDefinition -> AttributeDefinition -> Bool Source #

(>) :: AttributeDefinition -> AttributeDefinition -> Bool Source #

(>=) :: AttributeDefinition -> AttributeDefinition -> Bool Source #

max :: AttributeDefinition -> AttributeDefinition -> AttributeDefinition Source #

min :: AttributeDefinition -> AttributeDefinition -> AttributeDefinition Source #

type Rep AttributeDefinition Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep AttributeDefinition = D1 ('MetaData "AttributeDefinition" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "AttributeDefinition" 'PrefixI 'True) (S1 ('MetaSel ('Just "attributeName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Just "attributeType") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 AttributeType)))

data KeySchema Source #

The key schema can either be a hash of a single attribute name or a hash attribute name and a range attribute name.

Constructors

HashOnly Text |
HashAndRange Text Text |

#### Instances

Instances details

FromJSON KeySchema Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser KeySchema Source # parseJSONList :: Value -> Parser [KeySchema] Source # omittedField :: Maybe KeySchema Source #
ToJSON KeySchema Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: KeySchema -> Value Source # toEncoding :: KeySchema -> Encoding Source # toJSONList :: [KeySchema] -> Value Source # toEncodingList :: [KeySchema] -> Encoding Source # omitField :: KeySchema -> Bool Source #
Generic KeySchema Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep KeySchema |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep KeySchema = D1 ('MetaData "KeySchema" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "HashOnly" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text)) :+: C1 ('MetaCons "HashAndRange" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text)))

Methods

from :: KeySchema -> Rep KeySchema x Source #

to :: Rep KeySchema x -> KeySchema Source #

Read KeySchema Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods readsPrec :: Int -> ReadS KeySchema Source # readList :: ReadS [KeySchema] Source # readPrec :: ReadPrec KeySchema Source # readListPrec :: ReadPrec [KeySchema] Source #
Show KeySchema Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> KeySchema -> ShowS Source # show :: KeySchema -> String Source # showList :: [KeySchema] -> ShowS Source #
Eq KeySchema Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods (==) :: KeySchema -> KeySchema -> Bool Source # (/=) :: KeySchema -> KeySchema -> Bool Source #
Ord KeySchema Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Methods

compare :: KeySchema -> KeySchema -> Ordering Source #

(<) :: KeySchema -> KeySchema -> Bool Source #

(<=) :: KeySchema -> KeySchema -> Bool Source #

(>) :: KeySchema -> KeySchema -> Bool Source #

(>=) :: KeySchema -> KeySchema -> Bool Source #

max :: KeySchema -> KeySchema -> KeySchema Source #

min :: KeySchema -> KeySchema -> KeySchema Source #

type Rep KeySchema Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep KeySchema = D1 ('MetaData "KeySchema" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "HashOnly" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text)) :+: C1 ('MetaCons "HashAndRange" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text)))

data Projection Source #

This determines which attributes are projected into a secondary index.

Constructors

ProjectKeysOnly |
ProjectAll |
ProjectInclude [Text] |

#### Instances

Instances details

FromJSON Projection Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser Projection Source # parseJSONList :: Value -> Parser [Projection] Source # omittedField :: Maybe Projection Source #
ToJSON Projection Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: Projection -> Value Source # toEncoding :: Projection -> Encoding Source # toJSONList :: [Projection] -> Value Source # toEncodingList :: [Projection] -> Encoding Source # omitField :: Projection -> Bool Source #
Show Projection Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> Projection -> ShowS Source # show :: Projection -> String Source # showList :: [Projection] -> ShowS Source #

data LocalSecondaryIndex Source #

Describes a single local secondary index. The KeySchema MUST share the same hash key attribute as the parent table, only the range key can differ.

Constructors

LocalSecondaryIndex |

Fields

- localIndexName :: Text
- localKeySchema :: KeySchema
- localProjection :: Projection

#### Instances

Instances details

FromJSON LocalSecondaryIndex Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser LocalSecondaryIndex Source # parseJSONList :: Value -> Parser [LocalSecondaryIndex] Source # omittedField :: Maybe LocalSecondaryIndex Source #
ToJSON LocalSecondaryIndex Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: LocalSecondaryIndex -> Value Source # toEncoding :: LocalSecondaryIndex -> Encoding Source # toJSONList :: [LocalSecondaryIndex] -> Value Source # toEncodingList :: [LocalSecondaryIndex] -> Encoding Source # omitField :: LocalSecondaryIndex -> Bool Source #
Generic LocalSecondaryIndex Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep LocalSecondaryIndex |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep LocalSecondaryIndex = D1 ('MetaData "LocalSecondaryIndex" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "LocalSecondaryIndex" 'PrefixI 'True) (S1 ('MetaSel ('Just "localIndexName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: (S1 ('MetaSel ('Just "localKeySchema") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 KeySchema) :*: S1 ('MetaSel ('Just "localProjection") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Projection))))

Methods

from :: LocalSecondaryIndex -> Rep LocalSecondaryIndex x Source #

to :: Rep LocalSecondaryIndex x -> LocalSecondaryIndex Source #

Show LocalSecondaryIndex Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> LocalSecondaryIndex -> ShowS Source # show :: LocalSecondaryIndex -> String Source # showList :: [LocalSecondaryIndex] -> ShowS Source #
type Rep LocalSecondaryIndex Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep LocalSecondaryIndex = D1 ('MetaData "LocalSecondaryIndex" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "LocalSecondaryIndex" 'PrefixI 'True) (S1 ('MetaSel ('Just "localIndexName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: (S1 ('MetaSel ('Just "localKeySchema") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 KeySchema) :*: S1 ('MetaSel ('Just "localProjection") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Projection))))

data LocalSecondaryIndexStatus Source #

This is returned by AWS to describe the local secondary index.

Constructors

LocalSecondaryIndexStatus |

Fields

- locStatusIndexName :: Text
- locStatusIndexSizeBytes :: Integer
- locStatusItemCount :: Integer
- locStatusKeySchema :: KeySchema
- locStatusProjection :: Projection

#### Instances

Instances details

FromJSON LocalSecondaryIndexStatus Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser LocalSecondaryIndexStatus Source # parseJSONList :: Value -> Parser [LocalSecondaryIndexStatus] Source # omittedField :: Maybe LocalSecondaryIndexStatus Source #
Generic LocalSecondaryIndexStatus Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep LocalSecondaryIndexStatus |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep LocalSecondaryIndexStatus = D1 ('MetaData "LocalSecondaryIndexStatus" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "LocalSecondaryIndexStatus" 'PrefixI 'True) ((S1 ('MetaSel ('Just "locStatusIndexName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Just "locStatusIndexSizeBytes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Integer)) :*: (S1 ('MetaSel ('Just "locStatusItemCount") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Integer) :*: (S1 ('MetaSel ('Just "locStatusKeySchema") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 KeySchema) :*: S1 ('MetaSel ('Just "locStatusProjection") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Projection)))))

Methods

from :: LocalSecondaryIndexStatus -> Rep LocalSecondaryIndexStatus x Source #

to :: Rep LocalSecondaryIndexStatus x -> LocalSecondaryIndexStatus Source #

Show LocalSecondaryIndexStatus Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> LocalSecondaryIndexStatus -> ShowS Source # show :: LocalSecondaryIndexStatus -> String Source # showList :: [LocalSecondaryIndexStatus] -> ShowS Source #
type Rep LocalSecondaryIndexStatus Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep LocalSecondaryIndexStatus = D1 ('MetaData "LocalSecondaryIndexStatus" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "LocalSecondaryIndexStatus" 'PrefixI 'True) ((S1 ('MetaSel ('Just "locStatusIndexName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Just "locStatusIndexSizeBytes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Integer)) :*: (S1 ('MetaSel ('Just "locStatusItemCount") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Integer) :*: (S1 ('MetaSel ('Just "locStatusKeySchema") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 KeySchema) :*: S1 ('MetaSel ('Just "locStatusProjection") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Projection)))))

data ProvisionedThroughput Source #

The target provisioned throughput you are requesting for the table or global secondary index.

Constructors

ProvisionedThroughput |

Fields

- readCapacityUnits :: Int
- writeCapacityUnits :: Int

#### Instances

Instances details

FromJSON ProvisionedThroughput Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser ProvisionedThroughput Source # parseJSONList :: Value -> Parser [ProvisionedThroughput] Source # omittedField :: Maybe ProvisionedThroughput Source #
ToJSON ProvisionedThroughput Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: ProvisionedThroughput -> Value Source # toEncoding :: ProvisionedThroughput -> Encoding Source # toJSONList :: [ProvisionedThroughput] -> Value Source # toEncodingList :: [ProvisionedThroughput] -> Encoding Source # omitField :: ProvisionedThroughput -> Bool Source #
Generic ProvisionedThroughput Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep ProvisionedThroughput |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep ProvisionedThroughput = D1 ('MetaData "ProvisionedThroughput" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "ProvisionedThroughput" 'PrefixI 'True) (S1 ('MetaSel ('Just "readCapacityUnits") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Int) :*: S1 ('MetaSel ('Just "writeCapacityUnits") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Int)))

Methods

from :: ProvisionedThroughput -> Rep ProvisionedThroughput x Source #

to :: Rep ProvisionedThroughput x -> ProvisionedThroughput Source #

Show ProvisionedThroughput Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> ProvisionedThroughput -> ShowS Source # show :: ProvisionedThroughput -> String Source # showList :: [ProvisionedThroughput] -> ShowS Source #
type Rep ProvisionedThroughput Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep ProvisionedThroughput = D1 ('MetaData "ProvisionedThroughput" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "ProvisionedThroughput" 'PrefixI 'True) (S1 ('MetaSel ('Just "readCapacityUnits") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Int) :*: S1 ('MetaSel ('Just "writeCapacityUnits") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Int)))

data ProvisionedThroughputStatus Source #

This is returned by AWS as the status of the throughput for a table or global secondary index.

Constructors

ProvisionedThroughputStatus |

Fields

- statusLastDecreaseDateTime :: UTCTime
- statusLastIncreaseDateTime :: UTCTime
- statusNumberOfDecreasesToday :: Int
- statusReadCapacityUnits :: Int
- statusWriteCapacityUnits :: Int

#### Instances

Instances details

FromJSON ProvisionedThroughputStatus Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser ProvisionedThroughputStatus Source # parseJSONList :: Value -> Parser [ProvisionedThroughputStatus] Source # omittedField :: Maybe ProvisionedThroughputStatus Source #
Generic ProvisionedThroughputStatus Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep ProvisionedThroughputStatus |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep ProvisionedThroughputStatus = D1 ('MetaData "ProvisionedThroughputStatus" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "ProvisionedThroughputStatus" 'PrefixI 'True) ((S1 ('MetaSel ('Just "statusLastDecreaseDateTime") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 UTCTime) :*: S1 ('MetaSel ('Just "statusLastIncreaseDateTime") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 UTCTime)) :*: (S1 ('MetaSel ('Just "statusNumberOfDecreasesToday") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Int) :*: (S1 ('MetaSel ('Just "statusReadCapacityUnits") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Int) :*: S1 ('MetaSel ('Just "statusWriteCapacityUnits") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Int)))))

Methods

from :: ProvisionedThroughputStatus -> Rep ProvisionedThroughputStatus x Source #

to :: Rep ProvisionedThroughputStatus x -> ProvisionedThroughputStatus Source #

Show ProvisionedThroughputStatus Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> ProvisionedThroughputStatus -> ShowS Source # show :: ProvisionedThroughputStatus -> String Source # showList :: [ProvisionedThroughputStatus] -> ShowS Source #
type Rep ProvisionedThroughputStatus Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep ProvisionedThroughputStatus = D1 ('MetaData "ProvisionedThroughputStatus" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "ProvisionedThroughputStatus" 'PrefixI 'True) ((S1 ('MetaSel ('Just "statusLastDecreaseDateTime") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 UTCTime) :*: S1 ('MetaSel ('Just "statusLastIncreaseDateTime") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 UTCTime)) :*: (S1 ('MetaSel ('Just "statusNumberOfDecreasesToday") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Int) :*: (S1 ('MetaSel ('Just "statusReadCapacityUnits") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Int) :*: S1 ('MetaSel ('Just "statusWriteCapacityUnits") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Int)))))

data GlobalSecondaryIndex Source #

Describes a global secondary index.

Constructors

GlobalSecondaryIndex |

Fields

- globalIndexName :: Text
- globalKeySchema :: KeySchema
- globalProjection :: Projection
- globalProvisionedThroughput :: ProvisionedThroughput

#### Instances

Instances details

FromJSON GlobalSecondaryIndex Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser GlobalSecondaryIndex Source # parseJSONList :: Value -> Parser [GlobalSecondaryIndex] Source # omittedField :: Maybe GlobalSecondaryIndex Source #
ToJSON GlobalSecondaryIndex Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: GlobalSecondaryIndex -> Value Source # toEncoding :: GlobalSecondaryIndex -> Encoding Source # toJSONList :: [GlobalSecondaryIndex] -> Value Source # toEncodingList :: [GlobalSecondaryIndex] -> Encoding Source # omitField :: GlobalSecondaryIndex -> Bool Source #
Generic GlobalSecondaryIndex Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep GlobalSecondaryIndex |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep GlobalSecondaryIndex = D1 ('MetaData "GlobalSecondaryIndex" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "GlobalSecondaryIndex" 'PrefixI 'True) ((S1 ('MetaSel ('Just "globalIndexName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Just "globalKeySchema") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 KeySchema)) :*: (S1 ('MetaSel ('Just "globalProjection") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Projection) :*: S1 ('MetaSel ('Just "globalProvisionedThroughput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ProvisionedThroughput))))

Methods

from :: GlobalSecondaryIndex -> Rep GlobalSecondaryIndex x Source #

to :: Rep GlobalSecondaryIndex x -> GlobalSecondaryIndex Source #

Show GlobalSecondaryIndex Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> GlobalSecondaryIndex -> ShowS Source # show :: GlobalSecondaryIndex -> String Source # showList :: [GlobalSecondaryIndex] -> ShowS Source #
type Rep GlobalSecondaryIndex Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep GlobalSecondaryIndex = D1 ('MetaData "GlobalSecondaryIndex" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "GlobalSecondaryIndex" 'PrefixI 'True) ((S1 ('MetaSel ('Just "globalIndexName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Just "globalKeySchema") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 KeySchema)) :*: (S1 ('MetaSel ('Just "globalProjection") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Projection) :*: S1 ('MetaSel ('Just "globalProvisionedThroughput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ProvisionedThroughput))))

data GlobalSecondaryIndexStatus Source #

This is returned by AWS to describe the status of a global secondary index.

Constructors

GlobalSecondaryIndexStatus |

Fields

- gStatusIndexName :: Text
- gStatusIndexSizeBytes :: Integer
- gStatusIndexStatus :: Text
- gStatusItemCount :: Integer
- gStatusKeySchema :: KeySchema
- gStatusProjection :: Projection
- gStatusProvisionedThroughput :: ProvisionedThroughputStatus

#### Instances

Instances details

FromJSON GlobalSecondaryIndexStatus Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser GlobalSecondaryIndexStatus Source # parseJSONList :: Value -> Parser [GlobalSecondaryIndexStatus] Source # omittedField :: Maybe GlobalSecondaryIndexStatus Source #
Generic GlobalSecondaryIndexStatus Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep GlobalSecondaryIndexStatus |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep GlobalSecondaryIndexStatus = D1 ('MetaData "GlobalSecondaryIndexStatus" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "GlobalSecondaryIndexStatus" 'PrefixI 'True) ((S1 ('MetaSel ('Just "gStatusIndexName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: (S1 ('MetaSel ('Just "gStatusIndexSizeBytes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Integer) :*: S1 ('MetaSel ('Just "gStatusIndexStatus") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text))) :*: ((S1 ('MetaSel ('Just "gStatusItemCount") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Integer) :*: S1 ('MetaSel ('Just "gStatusKeySchema") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 KeySchema)) :*: (S1 ('MetaSel ('Just "gStatusProjection") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Projection) :*: S1 ('MetaSel ('Just "gStatusProvisionedThroughput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ProvisionedThroughputStatus)))))

Methods

from :: GlobalSecondaryIndexStatus -> Rep GlobalSecondaryIndexStatus x Source #

to :: Rep GlobalSecondaryIndexStatus x -> GlobalSecondaryIndexStatus Source #

Show GlobalSecondaryIndexStatus Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> GlobalSecondaryIndexStatus -> ShowS Source # show :: GlobalSecondaryIndexStatus -> String Source # showList :: [GlobalSecondaryIndexStatus] -> ShowS Source #
type Rep GlobalSecondaryIndexStatus Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep GlobalSecondaryIndexStatus = D1 ('MetaData "GlobalSecondaryIndexStatus" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "GlobalSecondaryIndexStatus" 'PrefixI 'True) ((S1 ('MetaSel ('Just "gStatusIndexName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: (S1 ('MetaSel ('Just "gStatusIndexSizeBytes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Integer) :*: S1 ('MetaSel ('Just "gStatusIndexStatus") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text))) :*: ((S1 ('MetaSel ('Just "gStatusItemCount") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Integer) :*: S1 ('MetaSel ('Just "gStatusKeySchema") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 KeySchema)) :*: (S1 ('MetaSel ('Just "gStatusProjection") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Projection) :*: S1 ('MetaSel ('Just "gStatusProvisionedThroughput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ProvisionedThroughputStatus)))))

data GlobalSecondaryIndexUpdate Source #

This is used to request a change in the provisioned throughput of a global secondary index as part of an `UpdateTable` operation.

Constructors

GlobalSecondaryIndexUpdate |

Fields

- gUpdateIndexName :: Text
- gUpdateProvisionedThroughput :: ProvisionedThroughput

#### Instances

Instances details

ToJSON GlobalSecondaryIndexUpdate Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods toJSON :: GlobalSecondaryIndexUpdate -> Value Source # toEncoding :: GlobalSecondaryIndexUpdate -> Encoding Source # toJSONList :: [GlobalSecondaryIndexUpdate] -> Value Source # toEncodingList :: [GlobalSecondaryIndexUpdate] -> Encoding Source # omitField :: GlobalSecondaryIndexUpdate -> Bool Source #
Generic GlobalSecondaryIndexUpdate Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep GlobalSecondaryIndexUpdate |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep GlobalSecondaryIndexUpdate = D1 ('MetaData "GlobalSecondaryIndexUpdate" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "GlobalSecondaryIndexUpdate" 'PrefixI 'True) (S1 ('MetaSel ('Just "gUpdateIndexName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Just "gUpdateProvisionedThroughput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ProvisionedThroughput)))

Methods

from :: GlobalSecondaryIndexUpdate -> Rep GlobalSecondaryIndexUpdate x Source #

to :: Rep GlobalSecondaryIndexUpdate x -> GlobalSecondaryIndexUpdate Source #

Show GlobalSecondaryIndexUpdate Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> GlobalSecondaryIndexUpdate -> ShowS Source # show :: GlobalSecondaryIndexUpdate -> String Source # showList :: [GlobalSecondaryIndexUpdate] -> ShowS Source #
type Rep GlobalSecondaryIndexUpdate Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep GlobalSecondaryIndexUpdate = D1 ('MetaData "GlobalSecondaryIndexUpdate" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "GlobalSecondaryIndexUpdate" 'PrefixI 'True) (S1 ('MetaSel ('Just "gUpdateIndexName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Just "gUpdateProvisionedThroughput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ProvisionedThroughput)))

data TableDescription Source #

This describes the table and is the return value from AWS for all the table-related commands.

Constructors

TableDescription |

Fields

- rTableName :: Text
- rTableSizeBytes :: Integer
- rTableStatus :: Text

  one of CREATING, UPDATING, DELETING, ACTIVE

- rCreationDateTime :: Maybe UTCTime
- rItemCount :: Integer
- rAttributeDefinitions :: [AttributeDefinition]
- rKeySchema :: Maybe KeySchema
- rProvisionedThroughput :: ProvisionedThroughputStatus
- rLocalSecondaryIndexes :: [LocalSecondaryIndexStatus]
- rGlobalSecondaryIndexes :: [GlobalSecondaryIndexStatus]

#### Instances

Instances details

FromJSON TableDescription Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods parseJSON :: Value -> Parser TableDescription Source # parseJSONList :: Value -> Parser [TableDescription] Source # omittedField :: Maybe TableDescription Source #
Generic TableDescription Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type Rep TableDescription |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep TableDescription = D1 ('MetaData "TableDescription" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "TableDescription" 'PrefixI 'True) (((S1 ('MetaSel ('Just "rTableName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Just "rTableSizeBytes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Integer)) :*: (S1 ('MetaSel ('Just "rTableStatus") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: (S1 ('MetaSel ('Just "rCreationDateTime") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (Maybe UTCTime)) :*: S1 ('MetaSel ('Just "rItemCount") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Integer)))) :*: ((S1 ('MetaSel ('Just "rAttributeDefinitions") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [AttributeDefinition]) :*: S1 ('MetaSel ('Just "rKeySchema") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (Maybe KeySchema))) :*: (S1 ('MetaSel ('Just "rProvisionedThroughput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ProvisionedThroughputStatus) :*: (S1 ('MetaSel ('Just "rLocalSecondaryIndexes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [LocalSecondaryIndexStatus]) :*: S1 ('MetaSel ('Just "rGlobalSecondaryIndexes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [GlobalSecondaryIndexStatus]))))))

Methods

from :: TableDescription -> Rep TableDescription x Source #

to :: Rep TableDescription x -> TableDescription Source #

Show TableDescription Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table Methods showsPrec :: Int -> TableDescription -> ShowS Source # show :: TableDescription -> String Source # showList :: [TableDescription] -> ShowS Source #
type Rep TableDescription Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

type Rep TableDescription = D1 ('MetaData "TableDescription" "Aws.DynamoDb.Commands.Table" "aws-0.24.4-IWoJ2BvAF5iEYLhADlfplv" 'False) (C1 ('MetaCons "TableDescription" 'PrefixI 'True) (((S1 ('MetaSel ('Just "rTableName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: S1 ('MetaSel ('Just "rTableSizeBytes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Integer)) :*: (S1 ('MetaSel ('Just "rTableStatus") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Text) :*: (S1 ('MetaSel ('Just "rCreationDateTime") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (Maybe UTCTime)) :*: S1 ('MetaSel ('Just "rItemCount") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Integer)))) :*: ((S1 ('MetaSel ('Just "rAttributeDefinitions") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [AttributeDefinition]) :*: S1 ('MetaSel ('Just "rKeySchema") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (Maybe KeySchema))) :*: (S1 ('MetaSel ('Just "rProvisionedThroughput") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ProvisionedThroughputStatus) :*: (S1 ('MetaSel ('Just "rLocalSecondaryIndexes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [LocalSecondaryIndexStatus]) :*: S1 ('MetaSel ('Just "rGlobalSecondaryIndexes") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 [GlobalSecondaryIndexStatus]))))))